Bug 139385 - Fedora Core 3 does not set monitor settings of Dell Inspiron 600m to LCD panel
Fedora Core 3 does not set monitor settings of Dell Inspiron 600m to LCD panel
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 13:30 EST by Narender
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:51:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The xorg.conf file that is not working on my laptop (2.66 KB, text/plain)
2004-11-16 14:32 EST, Narender
no flags Details
Xorg log file from the initial boot (35.85 KB, text/plain)
2004-11-16 14:34 EST, Narender
no flags Details
the working xorf.conf on my laptop (2.71 KB, text/plain)
2004-11-22 14:10 EST, Narender
no flags Details

  None (edit)
Description Narender 2004-11-15 13:30:05 EST
Description of problem: 
I have a Dell Inspiron 600m laptop and installed Fedora core 3
recently. Since the screen just goes blank after booting in run level
5, I rebooted in run level 3 and changed the mouse device to
"/dev/input/mice" and set the horizontal sync and vertical refresh
rates of monitor appropriately in the file "xorg.conf". It works fine
in run level 3 but not in 5. To make it work, I had to connect the
laptop to an external display, and in "system-config-display", I have
to specify that the display is generic LCD of 1400 x 1050 resolution.
After this, it works fine. The laptop uses ATI Radeon Mobility 9000
card.   


Version-Release number of selected component (if applicable):


How reproducible: Just install FC3 on a Dell Inspiron 600m and try to
boot. 


Steps to Reproduce:
1. Install FC3 on a Dell Inspiron 600m
2. Boot in run level 5
3.
  
Actual results: The screen just goes blank


Expected results: The display should work fine


Additional info:
Comment 1 Paul Nasrat 2004-11-15 13:47:33 EST
What is the output of running as root:

kudzu -p -b ddc

Please attach individually and uncompressed the original xorg.conf and
Xorg logfile from first boot (or restore xorg.conf.bak and reboot to
runlevel 5 to reproduce).
Comment 2 Narender 2004-11-16 14:32:12 EST
Created attachment 106835 [details]
The xorg.conf file that is not working on my laptop
Comment 3 Narender 2004-11-16 14:34:13 EST
Created attachment 106836 [details]
Xorg log file from the initial boot
Comment 4 Narender 2004-11-16 14:34:40 EST
When I restored xorg.conf.bak and rebooted, the laptop had the same
problem again. I am attaching the xorg.conf and Xorg.0.log from this
boot. But I am not sure if the xorg.conf.bak I have is the one from
the first boot. The only difference I see between xorg.conf and
xorg.conf.bak I have is in the screen resolutions line. the backup
file has the maximum resolution of 800 x 600 while the original has
1400 x 1050. My laptop has a resolution of 1400 x 1050.

The following is the output of running "kudzu -p -b ddc" as root

-
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "ATI Technologies Inc. M9"
mem: 32704
-
class: MONITOR
bus: DDC
detached: 0
driver: unknown
desc: "(null)"
id: SHP1398


PS: when I used the working xorg.conf the machine works just fine.
Comment 5 Paul Nasrat 2004-11-22 10:53:18 EST
Please attach your working xorg.conf as well.
Comment 6 Narender 2004-11-22 14:10:04 EST
Created attachment 107220 [details]
the working xorf.conf on my laptop

This is the edited xorg.conf that works well with my Dell Inspiron 600m laptop.
Comment 7 Matthew Miller 2006-07-10 16:14:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 John Thacker 2006-10-30 17:51:18 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.